# QueryResultsWrapper.RowRecord

Package io.milvus.response

## Class QueryResultsWrapper.RowRecord

- java.lang.Object
- - io.milvus.response.QueryResultsWrapper.RowRecord

Enclosing class:
  QueryResultsWrapper

    public static final class QueryResultsWrapper.RowRecord
    extends java.lang.Object

Internal-use class to wrap response of `query` interface.

### Constructor Summary

Constructors
`RowRecord()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `get​(java.lang.String keyName)` Get a value by a key name.
`boolean` `put​(java.lang.String keyName, java.lang.Object obj)`
`java.lang.String` `toString()` Constructs a `String` by `QueryResultsWrapper.RowRecord` instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RowRecord

    public RowRecord()

### Method Detail

#### put

    public boolean put​(java.lang.String keyName,
                       java.lang.Object obj)

#### get

    public java.lang.Object get​(java.lang.String keyName)
                         throws ParamException

Get a value by a key name. If the key name is a field name, return the value of this field. If the key name is in dynamic field, return the value from the dynamic field. Throws `ParamException` if the key name doesn't exist.

Returns:
  `FieldDataWrapper`
Throws:
  `ParamException`

#### toString

    public java.lang.String toString()

Constructs a `String` by `QueryResultsWrapper.RowRecord` instance.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  `String`